Bug 425835 - Config seems to be ignored
Config seems to be ignored
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pure-ftpd (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 06:57 EST by Reindl Harald
Modified: 2009-01-09 00:31 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:31:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Reindl Harald 2007-12-16 06:57:27 EST
Running pure-ftpd with yum is painful

ftp://yum:pwd@yum.rhsoft.net/generic/i386/repodata/filelists.xml.gz: [Errno 4]
IOError: [Errno ftp error] 421 15 users (the maximum) are already logged in, sorry

Can anybody tell me how this can by with my configuration below? 
why 15 users is the maximum?

Sometimes yum gets a timeout, while pure-ftpd is ignorierung a part of
configuration im not sure "PassivePortRange" works really, the ports are open on
router and iptables. 

BrokenClientsCompatibility   yes
MaxClientsNumber             100
Daemonize                    no
MaxClientsPerIP              50
VerboseLog                   no
DisplayDotFiles              no
AnonymousOnly                no
NoAnonymous                  yes
SyslogFacility               none
ChrootEveryone               yes

MySQLConfigFile              /etc/pure-ftpd/pureftpd-mysql.conf
PAMAuthentication            no
UnixAuthentication           no

DontResolve                  yes
MaxIdleTime                  15
LimitRecursion               10000 20
AnonymousCanCreateDirs       no
AnonymousCantUpload          yes
MaxLoad                      4
PassivePortRange             10000 10030
AntiWarez                    no
Umask                        117:007
MinUID                       500
UseFtpUsers                  no
AllowUserFXP                 no
AllowAnonymousFXP            no
ProhibitDotFilesWrite        no
ProhibitDotFilesRead         no
AutoRename                   no
LogPID                       yes
AltLog                       clf:/var/log/pure-ftpd.log
NoChmod                      no
KeepAllFiles                 no
CreateHomeDir                yes
PIDFile                      /var/run/pure-ftpd.pid
CallUploadScript             no
MaxDiskUsage                 90
NoRename                     no
CustomerProof                yes
PerUserLimits                10:20
NoTruncate                   yes
TLS                          0
IPV4Only                     yes
IPV6Only                     no
FileSystemCharset            utf8
ClientCharset                latin1
PassivePortRange             10000:10029
Comment 1 Bug Zapper 2008-11-26 04:01:21 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 00:31:25 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.